<template>
    <tr>
        <td>{{ index + 1 }}</td>
        <td>{{ person.firstName }}</td>
        <td>{{ person.lastName }}</td>
        <td>
            <button @click="deletePerson">Delete</button>
            <button @click="editFirstName">Edit First Name</button>
        </td>
    </tr>
</template>

<script setup>
    const props = defineProps({
        index: {
            type: Number,
            required: true
        },
        person: {
            type: Object,
            required: true
        }
    })

    const emit = defineEmits(['delete', 'edit'])
    /*defineEmits({
        delete: () => {}
    })*/

    function deletePerson(event) {
        console.log(event)
        if(!confirm('Sind Sie sicher?')) {
            return
        }
        emit('delete')
    }

    function editFirstName() {
        const newFirstName = prompt('Gib den neuen Vornamen ein:')

        emit('edit', {
            ...props.person,
            firstName: newFirstName
        })
    }
</script>